# Created by pyp2rpm-3.3.1
%global pypi_name sphinx-autodoc-typehints
%global srcname sphinx_autodoc_typehints

Name:           python-%{pypi_name}
Version:        1.18.3
Release:        %mkrel 3
Summary:        Type hints (PEP 484) support for the Sphinx autodoc extension
Group:          Development/Python
License:        MIT
URL:            https://github.com/GaretJax/sphinx-autodoc-typehints
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires: pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(argh)
BuildRequires:  python3dist(livereload)
BuildRequires:  python3dist(pathtools)
BuildRequires:  python3dist(port-for)
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(tornado)
BuildRequires:  python3dist(watchdog)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(setuptools-scm)

%description
Type hints (PEP 484) support for the Sphinx autodoc extension.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:	python2-sphinx-autobuild < 0.7.1-4

%description -n python3-%{pypi_name}
Type hints (PEP 484) support for the Sphinx autodoc extension.

%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinx_autodoc_typehints

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README*



%changelog
* Thu Dec 21 2023 joequant <joequant> 1.18.3-3.mga10
+ Revision: 2020573
- rebuild with py3.12
+ papoteur <papoteur>
- Mass Rebuild - Python 3.12

* Sun Oct 02 2022 neoclust <neoclust> 1.18.3-1.mga9
+ Revision: 1894113
- New version 1.18.3

* Thu Sep 08 2022 neoclust <neoclust> 1.17.0-1.mga9
+ Revision: 1885631
- New version  1.17.0

* Wed Mar 30 2022 umeabot <umeabot> 1.16.0-2.mga9
+ Revision: 1833785
- Mageia 9 Mass Rebuild

* Fri Feb 11 2022 wally <wally> 1.16.0-1.mga9
+ Revision: 1773077
- new version 1.16.0
- rebuild for python3.10

* Fri Sep 03 2021 wally <wally> 1.12.0-1.mga9
+ Revision: 1744219
- new version 1.12.0

* Mon Mar 22 2021 daviddavid <daviddavid> 1.11.1-2.mga9
+ Revision: 1707880
- rebuild for python 3.9

* Mon Jan 18 2021 neoclust <neoclust> 1.11.1-1.mga8
+ Revision: 1672310
- imported package python-sphinx-autodoc-typehints

